#!/usr/bin/sh
#
#
#
addTraps()
{
#
# Add the Digital Server Events category
#
# Commented this out since we can't add our own category on NT I 
# thought that consistency would be a good thing.
#
#awk 'BEGIN { catFound = 0 }
#	 { if ($1 == "CATEGORY") {
#			catFound = 1
#			lastCat = $2
#		}
#		else {
#			if (catFound == 1) {
#				print "CATEGORY " lastCat+1 " \"Digital Server Events\""
#				catFound = 0
#			}
#		}
#		print $0
#	}' $OV_CONF/C/trapd.conf > $OV_CONF/C/trapd.new.conf
#mv $OV_CONF/C/trapd.conf $OV_CONF/C/trapd.old.conf
#mv $OV_CONF/C/trapd.new.conf $OV_CONF/C/trapd.conf

OV_BIN/addtrap -n svrMgt -l svrThrHighExceptTrap -i "1.3.6.1.4.1.36.2.18.22.2" -g 6 -s 101 -S 5 -o A -t 4 -c "LOGONLY" -F "Major" -C "DECTrap.exe \"Major\" \"$1\" $2 $3 $4 \"$5\"" -D "High Severity Digital Trap"

OV_BIN/addtrap -n svrMgt -l svrThrMediumExceptTr -i "1.3.6.1.4.1.36.2.18.22.2" -g 6 -s 102 -S 3 -o A -t 4 -c "LOGONLY" -F "Minor" -C "DECTrap.exe \"Minor\" \"$1\" $2 $3 $4 \"$5\"" -D "Minor Severity Digital Trap"

OV_BIN/addtrap -n svrMgt -l svrThrLowExceptTrap -i "1.3.6.1.4.1.36.2.18.22.2" -g 6 -s 103 -S 2 -o A -t 4 -c "LOGONLY" -F "Warning" -C "DECTrap.exe \"Warning\" \"$1\" $2 $3 $4 \"$5\"" -D "Warning Severity DEC Trap"

OV_BIN/addtrap -n svrMgt -l svrThrInformationalE -i "1.3.6.1.4.1.36.2.18.22.2" -g 6 -s 104 -S 1 -o A -t 4 -c "LOGONLY" -F "Indeterminate" -C "DECTrap.exe \"Indeterminate\" \"$1\" $2 $3 $4 \"$5\"" -D "Indeterminate Severity DEC Trap"
}

removeTraps()
{
OV_BIN/removetrap -l svrThrHighExceptTrap
OV_BIN/removetrap -l svrThrMediumExceptTr
OV_BIN/removetrap -l svrThrLowExceptTrap
OV_BIN/removetrap -l svrThrInformationalE
#sed -e `/Digital Server Events/d` $OV_CONF/C/trapd.conf > $OV_CONF/C/trapd.tmp.conf
#mv $OV_CONF/C/trapd.tmp.conf $OV_CONF/C/trapd.conf
}

if [ "$1" = "ADD" ]
then
	addTraps
fi
if [ "$1"="REMOVE" ]
then
	removeTraps
fi

